<input [formControl]="formControl" type="number" #focus
       [id]="id"
       [required]="required"
       [placeholder]="placeholder"
       [min]="min !== null ? min : ''"
       [max]="max !== null ? max : ''"
       [step]="step"
       [tabindex]="tabIndex"
       [attr.aria-invalid]="ngControl?.invalid"
       [attr.aria-describedby]="describedBy ? describedBy : id + '-hint'"
       [autocomplete]="autocomplete ? autocomplete : 'off'">
<span class="portal-container" id="portal-{{id}}"></span>
<span class="spin">
  <button cui-icon-button icon="chevron-up" mode="ghost" size="s"
          type="button"
          [disabled]="isDisabled || disabled || !canIncrement"
          (click)="increment()"></button>
  <button cui-icon-button icon="chevron-down" mode="ghost" size="s"
          type="button"
          [disabled]="isDisabled || disabled || !canDecrement"
          (click)="decrement()"></button>
</span>
